%define upstream_name    Data-Polymorph
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Yet another approach for polymorphism
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module provides gentle way of polymorphic behaviors definition for
special cases that aren't original concerns.

Applying this solution dissipates necessity for making an original
namespace dirty.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Nov 18 2011 kharec <kharec> 0.10.0-1.mga2
+ Revision: 168947
- imported package perl-Data-Polymorph


* Fri Nov 18 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
